<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.trust-manager.ocsp">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="responder,prefer-crls,responder-certificate,responder-keystore"/>
        <elem name="complex-attribute" value="ocsp"/>
        <elem name="addr-params" value="profile,host,subsystem,trust-manager"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.trust-manager"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="prefer-crls" nillable="true"/>
        <param name="trust-manager" feature-id="true"/>
        <param name="responder-keystore" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="responder" nillable="true"/>
        <param name="responder-certificate" nillable="true"/>
    </params>
</feature-spec>